import * as Core from "../../core.js";
import { APIResource } from "../../resource.js";
import * as RolesAPI from "./roles.js";
import * as Shared from "../shared.js";
import { RolesSinglePage } from "../shared.js";
export declare class Roles extends APIResource {
    /**
     * Get all available roles for an account.
     */
    list(params: RoleListParams, options?: Core.RequestOptions): Core.PagePromise<RolesSinglePage, Shared.Role>;
    /**
     * Get information about a specific role for an account.
     */
    get(roleId: unknown, params: RoleGetParams, options?: Core.RequestOptions): Core.APIPromise<RoleGetResponse>;
}
export type RoleGetResponse = unknown;
export interface RoleListParams {
    /**
     * Account identifier tag.
     */
    account_id: string;
}
export interface RoleGetParams {
    /**
     * Account identifier tag.
     */
    account_id: string;
}
export declare namespace Roles {
    export import RoleGetResponse = RolesAPI.RoleGetResponse;
    export import RoleListParams = RolesAPI.RoleListParams;
    export import RoleGetParams = RolesAPI.RoleGetParams;
}
export { RolesSinglePage };
//# sourceMappingURL=roles.d.ts.map