import * as Core from "../../../core.js";
import { APIResource } from "../../../resource.js";
import * as IPsAPI from "./ips.js";
export declare class IPs extends APIResource {
    /**
     * Add an IP from a prefix owned by the account to a particular address map.
     */
    update(addressMapId: string, ipAddress: string, params: IPUpdateParams, options?: Core.RequestOptions): Core.APIPromise<IPUpdateResponse | null>;
    /**
     * Remove an IP from a particular address map.
     */
    delete(addressMapId: string, ipAddress: string, params: IPDeleteParams, options?: Core.RequestOptions): Core.APIPromise<IPDeleteResponse | null>;
}
export type IPUpdateResponse = Array<unknown>;
export type IPDeleteResponse = Array<unknown>;
export interface IPUpdateParams {
    /**
     * Path param: Identifier
     */
    account_id: string;
    /**
     * Body param:
     */
    body: unknown;
}
export interface IPDeleteParams {
    /**
     * Identifier
     */
    account_id: string;
}
export declare namespace IPs {
    export import IPUpdateResponse = IPsAPI.IPUpdateResponse;
    export import IPDeleteResponse = IPsAPI.IPDeleteResponse;
    export import IPUpdateParams = IPsAPI.IPUpdateParams;
    export import IPDeleteParams = IPsAPI.IPDeleteParams;
}
//# sourceMappingURL=ips.d.ts.map