import * as Core from "../../../core.js";
import { APIResource } from "../../../resource.js";
import * as ZonesAPI from "./zones.js";
export declare class Zones extends APIResource {
    /**
     * Add a zone as a member of a particular address map.
     */
    update(addressMapId: string, params: ZoneUpdateParams, options?: Core.RequestOptions): Core.APIPromise<ZoneUpdateResponse | null>;
    /**
     * Remove a zone as a member of a particular address map.
     */
    delete(addressMapId: string, params: ZoneDeleteParams, options?: Core.RequestOptions): Core.APIPromise<ZoneDeleteResponse | null>;
}
export type ZoneUpdateResponse = Array<unknown>;
export type ZoneDeleteResponse = Array<unknown>;
export interface ZoneUpdateParams {
    /**
     * Path param: Identifier
     */
    zone_id: string;
    /**
     * Path param: Identifier
     */
    account_id: string;
    /**
     * Body param:
     */
    body: unknown;
}
export interface ZoneDeleteParams {
    /**
     * Identifier
     */
    zone_id: string;
    /**
     * Identifier
     */
    account_id: string;
}
export declare namespace Zones {
    export import ZoneUpdateResponse = ZonesAPI.ZoneUpdateResponse;
    export import ZoneDeleteResponse = ZonesAPI.ZoneDeleteResponse;
    export import ZoneUpdateParams = ZonesAPI.ZoneUpdateParams;
    export import ZoneDeleteParams = ZonesAPI.ZoneDeleteParams;
}
//# sourceMappingURL=zones.d.ts.map