import { APIResource } from "../../resource.js";
import * as ServicesAPI from "./services.js";
import * as AddressMapsAPI from "./address-maps/address-maps.js";
import * as LOADocumentsAPI from "./loa-documents/loa-documents.js";
import * as PrefixesAPI from "./prefixes/prefixes.js";
import * as RegionalHostnamesAPI from "./regional-hostnames/regional-hostnames.js";
export declare class Addressing extends APIResource {
    regionalHostnames: RegionalHostnamesAPI.RegionalHostnames;
    services: ServicesAPI.Services;
    addressMaps: AddressMapsAPI.AddressMaps;
    loaDocuments: LOADocumentsAPI.LOADocuments;
    prefixes: PrefixesAPI.Prefixes;
}
export declare namespace Addressing {
    export import RegionalHostnames = RegionalHostnamesAPI.RegionalHostnames;
    export import RegionalHostnameCreateResponse = RegionalHostnamesAPI.RegionalHostnameCreateResponse;
    export import RegionalHostnameListResponse = RegionalHostnamesAPI.RegionalHostnameListResponse;
    export import RegionalHostnameDeleteResponse = RegionalHostnamesAPI.RegionalHostnameDeleteResponse;
    export import RegionalHostnameEditResponse = RegionalHostnamesAPI.RegionalHostnameEditResponse;
    export import RegionalHostnameGetResponse = RegionalHostnamesAPI.RegionalHostnameGetResponse;
    export import RegionalHostnameListResponsesSinglePage = RegionalHostnamesAPI.RegionalHostnameListResponsesSinglePage;
    export import RegionalHostnameCreateParams = RegionalHostnamesAPI.RegionalHostnameCreateParams;
    export import RegionalHostnameListParams = RegionalHostnamesAPI.RegionalHostnameListParams;
    export import RegionalHostnameDeleteParams = RegionalHostnamesAPI.RegionalHostnameDeleteParams;
    export import RegionalHostnameEditParams = RegionalHostnamesAPI.RegionalHostnameEditParams;
    export import RegionalHostnameGetParams = RegionalHostnamesAPI.RegionalHostnameGetParams;
    export import Services = ServicesAPI.Services;
    export import ServiceListResponse = ServicesAPI.ServiceListResponse;
    export import ServiceListResponsesSinglePage = ServicesAPI.ServiceListResponsesSinglePage;
    export import ServiceListParams = ServicesAPI.ServiceListParams;
    export import AddressMaps = AddressMapsAPI.AddressMaps;
    export import AddressMap = AddressMapsAPI.AddressMap;
    export import Kind = AddressMapsAPI.Kind;
    export import AddressMapCreateResponse = AddressMapsAPI.AddressMapCreateResponse;
    export import AddressMapDeleteResponse = AddressMapsAPI.AddressMapDeleteResponse;
    export import AddressMapGetResponse = AddressMapsAPI.AddressMapGetResponse;
    export import AddressMapsSinglePage = AddressMapsAPI.AddressMapsSinglePage;
    export import AddressMapCreateParams = AddressMapsAPI.AddressMapCreateParams;
    export import AddressMapListParams = AddressMapsAPI.AddressMapListParams;
    export import AddressMapDeleteParams = AddressMapsAPI.AddressMapDeleteParams;
    export import AddressMapEditParams = AddressMapsAPI.AddressMapEditParams;
    export import AddressMapGetParams = AddressMapsAPI.AddressMapGetParams;
    export import LOADocuments = LOADocumentsAPI.LOADocuments;
    export import LOADocumentCreateResponse = LOADocumentsAPI.LOADocumentCreateResponse;
    export import LOADocumentCreateParams = LOADocumentsAPI.LOADocumentCreateParams;
    export import Prefixes = PrefixesAPI.Prefixes;
    export import Prefix = PrefixesAPI.Prefix;
    export import PrefixDeleteResponse = PrefixesAPI.PrefixDeleteResponse;
    export import PrefixesSinglePage = PrefixesAPI.PrefixesSinglePage;
    export import PrefixCreateParams = PrefixesAPI.PrefixCreateParams;
    export import PrefixListParams = PrefixesAPI.PrefixListParams;
    export import PrefixDeleteParams = PrefixesAPI.PrefixDeleteParams;
    export import PrefixEditParams = PrefixesAPI.PrefixEditParams;
    export import PrefixGetParams = PrefixesAPI.PrefixGetParams;
}
//# sourceMappingURL=addressing.d.ts.map