import * as Core from "../../../core.js";
import { APIResource } from "../../../resource.js";
import * as LOADocumentsAPI from "./loa-documents.js";
import * as DownloadsAPI from "./downloads.js";
export declare class LOADocuments extends APIResource {
    downloads: DownloadsAPI.Downloads;
    /**
     * Submit LOA document (pdf format) under the account.
     */
    create(params: LOADocumentCreateParams, options?: Core.RequestOptions): Core.APIPromise<LOADocumentCreateResponse>;
}
export interface LOADocumentCreateResponse {
    /**
     * Name of LOA document.
     */
    filename?: string;
}
export interface LOADocumentCreateParams {
    /**
     * Path param: Identifier
     */
    account_id: string;
    /**
     * Body param: LOA document to upload.
     */
    loa_document: string;
}
export declare namespace LOADocuments {
    export import LOADocumentCreateResponse = LOADocumentsAPI.LOADocumentCreateResponse;
    export import LOADocumentCreateParams = LOADocumentsAPI.LOADocumentCreateParams;
    export import Downloads = DownloadsAPI.Downloads;
    export import DownloadGetParams = DownloadsAPI.DownloadGetParams;
}
//# sourceMappingURL=loa-documents.d.ts.map