"use strict";
// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
Object.defineProperty(exports, "__esModule", { value: true });
exports.Configurations = void 0;
const resource_1 = require("../../resource.js");
class Configurations extends resource_1.APIResource {
    /**
     * Set configuration properties
     */
    update(params, options) {
        const { zone_id, ...body } = params;
        return this._client.put(`/zones/${zone_id}/api_gateway/configuration`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Retrieve information about specific configuration properties
     */
    get(params, options) {
        const { zone_id, ...query } = params;
        return this._client.get(`/zones/${zone_id}/api_gateway/configuration`, {
            query,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
}
exports.Configurations = Configurations;
(function (Configurations) {
})(Configurations = exports.Configurations || (exports.Configurations = {}));
//# sourceMappingURL=configurations.js.map