// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
import { APIResource } from "../../../resource.mjs";
import * as UserSchemasOperationsAPI from "./operations.mjs";
import { SinglePage } from "../../../pagination.mjs";
export class Operations extends APIResource {
    /**
     * Retrieves all operations from the schema. Operations that already exist in API
     * Shield Endpoint Management will be returned as full operations.
     */
    list(schemaId, params, options) {
        const { zone_id, ...query } = params;
        return this._client.getAPIList(`/zones/${zone_id}/api_gateway/user_schemas/${schemaId}/operations`, OperationListResponsesSinglePage, { query, ...options });
    }
}
export class OperationListResponsesSinglePage extends SinglePage {
}
(function (Operations) {
    Operations.OperationListResponsesSinglePage = UserSchemasOperationsAPI.OperationListResponsesSinglePage;
})(Operations || (Operations = {}));
//# sourceMappingURL=operations.mjs.map