import * as Core from "../../core.js";
import { APIResource } from "../../resource.js";
import * as TieredCachingAPI from "./tiered-caching.js";
export declare class TieredCaching extends APIResource {
    /**
     * Updates enablement of Tiered Caching
     */
    edit(params: TieredCachingEditParams, options?: Core.RequestOptions): Core.APIPromise<TieredCachingEditResponse>;
    /**
     * Get Tiered Caching setting
     */
    get(params: TieredCachingGetParams, options?: Core.RequestOptions): Core.APIPromise<TieredCachingGetResponse>;
}
export interface TieredCachingEditResponse {
    /**
     * The identifier of the caching setting
     */
    id: string;
    /**
     * Whether the setting is editable
     */
    editable: boolean;
    /**
     * The time when the setting was last modified
     */
    modified_on: string;
    /**
     * The status of the feature being on / off
     */
    value: 'on' | 'off';
}
export interface TieredCachingGetResponse {
    /**
     * The identifier of the caching setting
     */
    id: string;
    /**
     * Whether the setting is editable
     */
    editable: boolean;
    /**
     * The time when the setting was last modified
     */
    modified_on: string;
    /**
     * The status of the feature being on / off
     */
    value: 'on' | 'off';
}
export interface TieredCachingEditParams {
    /**
     * Path param: Identifier
     */
    zone_id: string;
    /**
     * Body param: Enables Tiered Caching.
     */
    value: 'on' | 'off';
}
export interface TieredCachingGetParams {
    /**
     * Identifier
     */
    zone_id: string;
}
export declare namespace TieredCaching {
    export import TieredCachingEditResponse = TieredCachingAPI.TieredCachingEditResponse;
    export import TieredCachingGetResponse = TieredCachingAPI.TieredCachingGetResponse;
    export import TieredCachingEditParams = TieredCachingAPI.TieredCachingEditParams;
    export import TieredCachingGetParams = TieredCachingAPI.TieredCachingGetParams;
}
//# sourceMappingURL=tiered-caching.d.ts.map