import * as Core from "../../core.js";
import { APIResource } from "../../resource.js";
import * as SmartTieredCacheAPI from "./smart-tiered-cache.js";
export declare class SmartTieredCache extends APIResource {
    /**
     * Remvoves enablement of Smart Tiered Cache
     */
    delete(params: SmartTieredCacheDeleteParams, options?: Core.RequestOptions): Core.APIPromise<SmartTieredCacheDeleteResponse>;
    /**
     * Updates enablement of Tiered Cache
     */
    edit(params: SmartTieredCacheEditParams, options?: Core.RequestOptions): Core.APIPromise<SmartTieredCacheEditResponse>;
    /**
     * Get Smart Tiered Cache setting
     */
    get(params: SmartTieredCacheGetParams, options?: Core.RequestOptions): Core.APIPromise<SmartTieredCacheGetResponse>;
}
export interface SmartTieredCacheDeleteResponse {
    /**
     * The identifier of the caching setting
     */
    id: string;
    /**
     * Whether the setting is editable
     */
    editable: boolean;
    /**
     * The time when the setting was last modified
     */
    modified_on: string;
    /**
     * The status of the feature being on / off
     */
    value: 'on' | 'off';
}
export interface SmartTieredCacheEditResponse {
    /**
     * The identifier of the caching setting
     */
    id: string;
    /**
     * Whether the setting is editable
     */
    editable: boolean;
    /**
     * The time when the setting was last modified
     */
    modified_on: string;
    /**
     * The status of the feature being on / off
     */
    value: 'on' | 'off';
}
export interface SmartTieredCacheGetResponse {
    /**
     * The identifier of the caching setting
     */
    id: string;
    /**
     * Whether the setting is editable
     */
    editable: boolean;
    /**
     * The time when the setting was last modified
     */
    modified_on: string;
    /**
     * The status of the feature being on / off
     */
    value: 'on' | 'off';
}
export interface SmartTieredCacheDeleteParams {
    /**
     * Identifier
     */
    zone_id: string;
}
export interface SmartTieredCacheEditParams {
    /**
     * Path param: Identifier
     */
    zone_id: string;
    /**
     * Body param: Enable or disable the Smart Tiered Cache
     */
    value: 'on' | 'off';
}
export interface SmartTieredCacheGetParams {
    /**
     * Identifier
     */
    zone_id: string;
}
export declare namespace SmartTieredCache {
    export import SmartTieredCacheDeleteResponse = SmartTieredCacheAPI.SmartTieredCacheDeleteResponse;
    export import SmartTieredCacheEditResponse = SmartTieredCacheAPI.SmartTieredCacheEditResponse;
    export import SmartTieredCacheGetResponse = SmartTieredCacheAPI.SmartTieredCacheGetResponse;
    export import SmartTieredCacheDeleteParams = SmartTieredCacheAPI.SmartTieredCacheDeleteParams;
    export import SmartTieredCacheEditParams = SmartTieredCacheAPI.SmartTieredCacheEditParams;
    export import SmartTieredCacheGetParams = SmartTieredCacheAPI.SmartTieredCacheGetParams;
}
//# sourceMappingURL=smart-tiered-cache.d.ts.map