// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
import { APIResource } from "../../../resource.mjs";
export class MessageResource extends APIResource {
    /**
     * Creating a request adds the request into the Cloudforce One queue for analysis.
     * In addition to the content, a short title, type, priority, and releasability
     * should be provided. If one is not provided a default will be assigned.
     */
    create(accountIdentifier, requestIdentifier, body, options) {
        return this._client.post(`/accounts/${accountIdentifier}/cloudforce-one/requests/${requestIdentifier}/message/new`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Update a Request Message
     */
    update(accountIdentifier, requestIdentifier, messageIdentifer, body, options) {
        return this._client.put(`/accounts/${accountIdentifier}/cloudforce-one/requests/${requestIdentifier}/message/${messageIdentifer}`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Delete a Request Message
     */
    delete(accountIdentifier, requestIdentifier, messageIdentifer, options) {
        return this._client.delete(`/accounts/${accountIdentifier}/cloudforce-one/requests/${requestIdentifier}/message/${messageIdentifer}`, options);
    }
    /**
     * List Request Messages
     */
    get(accountIdentifier, requestIdentifier, body, options) {
        return this._client.post(`/accounts/${accountIdentifier}/cloudforce-one/requests/${requestIdentifier}/message`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
}
(function (MessageResource) {
})(MessageResource || (MessageResource = {}));
//# sourceMappingURL=message.mjs.map