import { APIResource } from "../../resource.js";
import * as DatabaseAPI from "./database.js";
export declare class D1Resource extends APIResource {
    database: DatabaseAPI.Database;
}
export interface D1 {
    /**
     * Specifies the timestamp the resource was created as an ISO8601 string.
     */
    created_at?: string;
    /**
     * The D1 database's size, in bytes.
     */
    file_size?: number;
    name?: string;
    num_tables?: number;
    uuid?: string;
    version?: string;
}
export declare namespace D1Resource {
    export import Database = DatabaseAPI.Database;
    export import QueryResult = DatabaseAPI.QueryResult;
    export import DatabaseCreateResponse = DatabaseAPI.DatabaseCreateResponse;
    export import DatabaseListResponse = DatabaseAPI.DatabaseListResponse;
    export import DatabaseDeleteResponse = DatabaseAPI.DatabaseDeleteResponse;
    export import DatabaseQueryResponse = DatabaseAPI.DatabaseQueryResponse;
    export import DatabaseRawResponse = DatabaseAPI.DatabaseRawResponse;
    export import DatabaseListResponsesV4PagePaginationArray = DatabaseAPI.DatabaseListResponsesV4PagePaginationArray;
    export import DatabaseCreateParams = DatabaseAPI.DatabaseCreateParams;
    export import DatabaseListParams = DatabaseAPI.DatabaseListParams;
    export import DatabaseDeleteParams = DatabaseAPI.DatabaseDeleteParams;
    export import DatabaseGetParams = DatabaseAPI.DatabaseGetParams;
    export import DatabaseQueryParams = DatabaseAPI.DatabaseQueryParams;
    export import DatabaseRawParams = DatabaseAPI.DatabaseRawParams;
}
//# sourceMappingURL=d1.d.ts.map