import * as Core from "../../../core.js";
import { APIResource } from "../../../resource.js";
import * as NamespacesAPI from "./namespaces.js";
import * as ObjectsAPI from "./objects.js";
import { SinglePage } from "../../../pagination.js";
export declare class Namespaces extends APIResource {
    objects: ObjectsAPI.Objects;
    /**
     * Returns the Durable Object namespaces owned by an account.
     */
    list(params: NamespaceListParams, options?: Core.RequestOptions): Core.PagePromise<NamespacesSinglePage, Namespace>;
}
export declare class NamespacesSinglePage extends SinglePage<Namespace> {
}
export interface Namespace {
    id?: unknown;
    class?: unknown;
    name?: unknown;
    script?: unknown;
}
export interface NamespaceListParams {
    /**
     * Identifier
     */
    account_id: string;
}
export declare namespace Namespaces {
    export import Namespace = NamespacesAPI.Namespace;
    export import NamespacesSinglePage = NamespacesAPI.NamespacesSinglePage;
    export import NamespaceListParams = NamespacesAPI.NamespaceListParams;
    export import Objects = ObjectsAPI.Objects;
    export import DurableObject = ObjectsAPI.DurableObject;
    export import DurableObjectsCursorLimitPagination = ObjectsAPI.DurableObjectsCursorLimitPagination;
    export import ObjectListParams = ObjectsAPI.ObjectListParams;
}
//# sourceMappingURL=namespaces.d.ts.map