// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
import { APIResource } from "../../../../resource.mjs";
export class Queues extends APIResource {
    /**
     * Define the rules for a given queue which will determine event notification
     * production.
     */
    update(bucketName, queueId, params, options) {
        const { account_id, ...body } = params;
        return this._client.put(`/accounts/${account_id}/event_notifications/r2/${bucketName}/configuration/queues/${queueId}`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Turn off all event notifications configured for delivery to a given queue. No
     * further notifications will be produced for the queue once complete.
     */
    delete(bucketName, queueId, params, options) {
        const { account_id } = params;
        return this._client.delete(`/accounts/${account_id}/event_notifications/r2/${bucketName}/configuration/queues/${queueId}`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (Queues) {
})(Queues || (Queues = {}));
//# sourceMappingURL=queues.mjs.map