// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
import { APIResource } from "../../resource.mjs";
import * as AccessRulesAPI from "./access-rules.mjs";
import * as LockdownsAPI from "./lockdowns.mjs";
import * as RulesAPI from "./rules.mjs";
import * as UARulesAPI from "./ua-rules.mjs";
import * as WAFAPI from "./waf/waf.mjs";
export class Firewall extends APIResource {
    constructor() {
        super(...arguments);
        this.lockdowns = new LockdownsAPI.Lockdowns(this._client);
        this.rules = new RulesAPI.Rules(this._client);
        this.accessRules = new AccessRulesAPI.AccessRules(this._client);
        this.uaRules = new UARulesAPI.UARules(this._client);
        this.waf = new WAFAPI.WAF(this._client);
    }
}
(function (Firewall) {
    Firewall.Lockdowns = LockdownsAPI.Lockdowns;
    Firewall.LockdownsV4PagePaginationArray = LockdownsAPI.LockdownsV4PagePaginationArray;
    Firewall.Rules = RulesAPI.Rules;
    Firewall.FirewallRulesV4PagePaginationArray = RulesAPI.FirewallRulesV4PagePaginationArray;
    Firewall.AccessRules = AccessRulesAPI.AccessRules;
    Firewall.AccessRuleListResponsesV4PagePaginationArray = AccessRulesAPI.AccessRuleListResponsesV4PagePaginationArray;
    Firewall.UARules = UARulesAPI.UARules;
    Firewall.UARuleListResponsesV4PagePaginationArray = UARulesAPI.UARuleListResponsesV4PagePaginationArray;
    Firewall.WAF = WAFAPI.WAF;
})(Firewall || (Firewall = {}));
//# sourceMappingURL=firewall.mjs.map