// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
import { APIResource } from "../../../../resource.mjs";
import { isRequestOptions } from "../../../../core.mjs";
import * as PackagesAPI from "./packages.mjs";
import * as GroupsAPI from "./groups.mjs";
import * as RulesAPI from "./rules.mjs";
import { V4PagePaginationArray } from "../../../../pagination.mjs";
export class Packages extends APIResource {
    constructor() {
        super(...arguments);
        this.groups = new GroupsAPI.Groups(this._client);
        this.rules = new RulesAPI.Rules(this._client);
    }
    list(zoneIdentifier, query = {}, options) {
        if (isRequestOptions(query)) {
            return this.list(zoneIdentifier, {}, query);
        }
        return this._client.getAPIList(`/zones/${zoneIdentifier}/firewall/waf/packages`, PackageListResponsesV4PagePaginationArray, { query, ...options });
    }
    /**
     * Fetches the details of a WAF package.
     *
     * **Note:** Applies only to the
     * [previous version of WAF managed rules](https://developers.cloudflare.com/support/firewall/managed-rules-web-application-firewall-waf/understanding-waf-managed-rules-web-application-firewall/).
     */
    get(zoneIdentifier, identifier, options) {
        return this._client.get(`/zones/${zoneIdentifier}/firewall/waf/packages/${identifier}`, options);
    }
}
export class PackageListResponsesV4PagePaginationArray extends V4PagePaginationArray {
}
(function (Packages) {
    Packages.PackageListResponsesV4PagePaginationArray = PackagesAPI.PackageListResponsesV4PagePaginationArray;
    Packages.Groups = GroupsAPI.Groups;
    Packages.GroupsV4PagePaginationArray = GroupsAPI.GroupsV4PagePaginationArray;
    Packages.Rules = RulesAPI.Rules;
    Packages.RuleListResponsesV4PagePaginationArray = RulesAPI.RuleListResponsesV4PagePaginationArray;
})(Packages || (Packages = {}));
//# sourceMappingURL=packages.mjs.map