import * as Core from "../../core.js";
import { APIResource } from "../../resource.js";
import * as SinkholesAPI from "./sinkholes.js";
import { SinglePage } from "../../pagination.js";
export declare class Sinkholes extends APIResource {
    /**
     * List sinkholes owned by this account
     */
    list(params: SinkholeListParams, options?: Core.RequestOptions): Core.PagePromise<SinkholesSinglePage, Sinkhole>;
}
export declare class SinkholesSinglePage extends SinglePage<Sinkhole> {
}
export interface Sinkhole {
    /**
     * The unique identifier for the sinkhole
     */
    id?: number;
    /**
     * The account tag that owns this sinkhole
     */
    account_tag?: string;
    /**
     * The date and time when the sinkhole was created
     */
    created_on?: string;
    /**
     * The date and time when the sinkhole was last modified
     */
    modified_on?: string;
    /**
     * The name of the sinkhole
     */
    name?: string;
    /**
     * The name of the R2 bucket to store results
     */
    r2_bucket?: string;
    /**
     * The id of the R2 instance
     */
    r2_id?: string;
}
export interface SinkholeListParams {
    /**
     * Identifier
     */
    account_id: string;
}
export declare namespace Sinkholes {
    export import Sinkhole = SinkholesAPI.Sinkhole;
    export import SinkholesSinglePage = SinkholesAPI.SinkholesSinglePage;
    export import SinkholeListParams = SinkholesAPI.SinkholeListParams;
}
//# sourceMappingURL=sinkholes.d.ts.map