import * as Core from "../../../core.js";
import { APIResource } from "../../../resource.js";
import * as DatasetsJobsAPI from "./jobs.js";
import * as JobsAPI from "../jobs.js";
export declare class Jobs extends APIResource {
    /**
     * Lists Logpush jobs for an account or zone for a dataset.
     */
    get(datasetId: string | null, params?: JobGetParams, options?: Core.RequestOptions): Core.APIPromise<JobGetResponse>;
    get(datasetId: string | null, options?: Core.RequestOptions): Core.APIPromise<JobGetResponse>;
}
export type JobGetResponse = Array<JobsAPI.LogpushJob | null>;
export interface JobGetParams {
    /**
     * The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.
     */
    account_id?: string;
    /**
     * The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.
     */
    zone_id?: string;
}
export declare namespace Jobs {
    export import JobGetResponse = DatasetsJobsAPI.JobGetResponse;
    export import JobGetParams = DatasetsJobsAPI.JobGetParams;
}
//# sourceMappingURL=jobs.d.ts.map