import * as Core from "../../../core.js";
import { APIResource } from "../../../resource.js";
import * as RetentionAPI from "./retention.js";
export declare class Retention extends APIResource {
    /**
     * Updates log retention flag for Logpull API.
     */
    create(zoneIdentifier: string, body: RetentionCreateParams, options?: Core.RequestOptions): Core.APIPromise<RetentionCreateResponse>;
    /**
     * Gets log retention flag for Logpull API.
     */
    get(zoneIdentifier: string, options?: Core.RequestOptions): Core.APIPromise<RetentionGetResponse>;
}
export interface RetentionCreateResponse {
    flag?: boolean;
}
export interface RetentionGetResponse {
    flag?: boolean;
}
export interface RetentionCreateParams {
    /**
     * The log retention flag for Logpull API.
     */
    flag: boolean;
}
export declare namespace Retention {
    export import RetentionCreateResponse = RetentionAPI.RetentionCreateResponse;
    export import RetentionGetResponse = RetentionAPI.RetentionGetResponse;
    export import RetentionCreateParams = RetentionAPI.RetentionCreateParams;
}
//# sourceMappingURL=retention.d.ts.map