"use strict";
// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
Object.defineProperty(exports, "__esModule", { value: true });
exports.ManagedHeaders = void 0;
const resource_1 = require("../resource.js");
class ManagedHeaders extends resource_1.APIResource {
    /**
     * Fetches a list of all Managed Transforms.
     */
    list(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/managed_headers`, options);
    }
    /**
     * Updates the status of one or more Managed Transforms.
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/managed_headers`, { body, ...options });
    }
}
exports.ManagedHeaders = ManagedHeaders;
//# sourceMappingURL=managed-headers.js.map