import * as Core from "../../core.js";
import { APIResource } from "../../resource.js";
import * as AssociationsAPI from "./associations.js";
export declare class Associations extends APIResource {
    /**
     * Lists all active associations between the certificate and Cloudflare services.
     */
    get(mtlsCertificateId: string, params: AssociationGetParams, options?: Core.RequestOptions): Core.APIPromise<AssociationGetResponse | null>;
}
export interface CertificateAsssociation {
    /**
     * The service using the certificate.
     */
    service?: string;
    /**
     * Certificate deployment status for the given service.
     */
    status?: string;
}
export type AssociationGetResponse = Array<CertificateAsssociation>;
export interface AssociationGetParams {
    /**
     * Identifier
     */
    account_id: string;
}
export declare namespace Associations {
    export import CertificateAsssociation = AssociationsAPI.CertificateAsssociation;
    export import AssociationGetResponse = AssociationsAPI.AssociationGetResponse;
    export import AssociationGetParams = AssociationsAPI.AssociationGetParams;
}
//# sourceMappingURL=associations.d.ts.map