import * as Core from "../../core.js";
import { APIResource } from "../../resource.js";
import * as SettingsAPI from "./settings.js";
export declare class Settings extends APIResource {
    /**
     * Returns a list of settings (and their details) that Page Rules can apply to
     * matching requests.
     */
    list(params: SettingListParams, options?: Core.RequestOptions): Core.APIPromise<SettingListResponse>;
}
/**
 * Settings available for the zone.
 */
export type SettingListResponse = Array<unknown>;
export interface SettingListParams {
    /**
     * Identifier
     */
    zone_id: string;
}
export declare namespace Settings {
    export import SettingListResponse = SettingsAPI.SettingListResponse;
    export import SettingListParams = SettingsAPI.SettingListParams;
}
//# sourceMappingURL=settings.d.ts.map