// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
import { APIResource } from "../resource.mjs";
import { SinglePage } from "../pagination.mjs";
export class Plans extends APIResource {
    /**
     * Lists available plans the zone can subscribe to.
     */
    list(zoneIdentifier, options) {
        return this._client.getAPIList(`/zones/${zoneIdentifier}/available_plans`, AvailableRatePlansSinglePage, options);
    }
    /**
     * Details of the available plan that the zone can subscribe to.
     */
    get(zoneIdentifier, planIdentifier, options) {
        return this._client.get(`/zones/${zoneIdentifier}/available_plans/${planIdentifier}`, options)._thenUnwrap((obj) => obj.result);
    }
}
export class AvailableRatePlansSinglePage extends SinglePage {
}
//# sourceMappingURL=plans.mjs.map