import { APIResource } from "../../resource.js";
import * as ConnectionTamperingAPI from "./connection-tampering.js";
import * as DatasetsAPI from "./datasets.js";
import * as SearchAPI from "./search.js";
import * as AnnotationsAPI from "./annotations/annotations.js";
import * as AS112API from "./as112/as112.js";
import * as AttacksAPI from "./attacks/attacks.js";
import * as BGPAPI from "./bgp/bgp.js";
import * as DNSAPI from "./dns/dns.js";
import * as EmailAPI from "./email/email.js";
import * as EntitiesAPI from "./entities/entities.js";
import * as HTTPAPI from "./http/http.js";
import * as NetflowsAPI from "./netflows/netflows.js";
import * as QualityAPI from "./quality/quality.js";
import * as RankingAPI from "./ranking/ranking.js";
import * as TrafficAnomaliesAPI from "./traffic-anomalies/traffic-anomalies.js";
import * as VerifiedBotsAPI from "./verified-bots/verified-bots.js";
export declare class Radar extends APIResource {
    annotations: AnnotationsAPI.Annotations;
    bgp: BGPAPI.BGP;
    datasets: DatasetsAPI.Datasets;
    dns: DNSAPI.DNS;
    netflows: NetflowsAPI.Netflows;
    search: SearchAPI.Search;
    verifiedBots: VerifiedBotsAPI.VerifiedBots;
    as112: AS112API.AS112;
    connectionTampering: ConnectionTamperingAPI.ConnectionTampering;
    email: EmailAPI.Email;
    attacks: AttacksAPI.Attacks;
    entities: EntitiesAPI.Entities;
    http: HTTPAPI.HTTP;
    quality: QualityAPI.Quality;
    ranking: RankingAPI.Ranking;
    trafficAnomalies: TrafficAnomaliesAPI.TrafficAnomalies;
}
export declare namespace Radar {
    export import Annotations = AnnotationsAPI.Annotations;
    export import BGP = BGPAPI.BGP;
    export import BGPTimeseriesResponse = BGPAPI.BGPTimeseriesResponse;
    export import BGPTimeseriesParams = BGPAPI.BGPTimeseriesParams;
    export import Datasets = DatasetsAPI.Datasets;
    export import DatasetListResponse = DatasetsAPI.DatasetListResponse;
    export import DatasetDownloadResponse = DatasetsAPI.DatasetDownloadResponse;
    export import DatasetGetResponse = DatasetsAPI.DatasetGetResponse;
    export import DatasetListParams = DatasetsAPI.DatasetListParams;
    export import DatasetDownloadParams = DatasetsAPI.DatasetDownloadParams;
    export import DNS = DNSAPI.DNS;
    export import Netflows = NetflowsAPI.Netflows;
    export import NetflowTimeseriesResponse = NetflowsAPI.NetflowTimeseriesResponse;
    export import NetflowTimeseriesParams = NetflowsAPI.NetflowTimeseriesParams;
    export import Search = SearchAPI.Search;
    export import SearchGlobalResponse = SearchAPI.SearchGlobalResponse;
    export import SearchGlobalParams = SearchAPI.SearchGlobalParams;
    export import VerifiedBots = VerifiedBotsAPI.VerifiedBots;
    export import AS112 = AS112API.AS112;
    export import AS112TimeseriesResponse = AS112API.AS112TimeseriesResponse;
    export import AS112TimeseriesParams = AS112API.AS112TimeseriesParams;
    export import ConnectionTampering = ConnectionTamperingAPI.ConnectionTampering;
    export import ConnectionTamperingSummaryResponse = ConnectionTamperingAPI.ConnectionTamperingSummaryResponse;
    export import ConnectionTamperingTimeseriesGroupsResponse = ConnectionTamperingAPI.ConnectionTamperingTimeseriesGroupsResponse;
    export import ConnectionTamperingSummaryParams = ConnectionTamperingAPI.ConnectionTamperingSummaryParams;
    export import ConnectionTamperingTimeseriesGroupsParams = ConnectionTamperingAPI.ConnectionTamperingTimeseriesGroupsParams;
    export import Email = EmailAPI.Email;
    export import RadarEmailSeries = EmailAPI.RadarEmailSeries;
    export import RadarEmailSummary = EmailAPI.RadarEmailSummary;
    export import Attacks = AttacksAPI.Attacks;
    export import Entities = EntitiesAPI.Entities;
    export import EntityGetResponse = EntitiesAPI.EntityGetResponse;
    export import EntityGetParams = EntitiesAPI.EntityGetParams;
    export import HTTP = HTTPAPI.HTTP;
    export import HTTPTimeseriesResponse = HTTPAPI.HTTPTimeseriesResponse;
    export import HTTPTimeseriesParams = HTTPAPI.HTTPTimeseriesParams;
    export import Quality = QualityAPI.Quality;
    export import Ranking = RankingAPI.Ranking;
    export import RankingTimeseriesGroupsResponse = RankingAPI.RankingTimeseriesGroupsResponse;
    export import RankingTopResponse = RankingAPI.RankingTopResponse;
    export import RankingTimeseriesGroupsParams = RankingAPI.RankingTimeseriesGroupsParams;
    export import RankingTopParams = RankingAPI.RankingTopParams;
    export import TrafficAnomalies = TrafficAnomaliesAPI.TrafficAnomalies;
    export import TrafficAnomalyGetResponse = TrafficAnomaliesAPI.TrafficAnomalyGetResponse;
    export import TrafficAnomalyGetParams = TrafficAnomaliesAPI.TrafficAnomalyGetParams;
}
//# sourceMappingURL=radar.d.ts.map