// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
import { APIResource } from "../../resource.mjs";
import * as ConnectionTamperingAPI from "./connection-tampering.mjs";
import * as DatasetsAPI from "./datasets.mjs";
import * as SearchAPI from "./search.mjs";
import * as AnnotationsAPI from "./annotations/annotations.mjs";
import * as AS112API from "./as112/as112.mjs";
import * as AttacksAPI from "./attacks/attacks.mjs";
import * as BGPAPI from "./bgp/bgp.mjs";
import * as DNSAPI from "./dns/dns.mjs";
import * as EmailAPI from "./email/email.mjs";
import * as EntitiesAPI from "./entities/entities.mjs";
import * as HTTPAPI from "./http/http.mjs";
import * as NetflowsAPI from "./netflows/netflows.mjs";
import * as QualityAPI from "./quality/quality.mjs";
import * as RankingAPI from "./ranking/ranking.mjs";
import * as TrafficAnomaliesAPI from "./traffic-anomalies/traffic-anomalies.mjs";
import * as VerifiedBotsAPI from "./verified-bots/verified-bots.mjs";
export class Radar extends APIResource {
    constructor() {
        super(...arguments);
        this.annotations = new AnnotationsAPI.Annotations(this._client);
        this.bgp = new BGPAPI.BGP(this._client);
        this.datasets = new DatasetsAPI.Datasets(this._client);
        this.dns = new DNSAPI.DNS(this._client);
        this.netflows = new NetflowsAPI.Netflows(this._client);
        this.search = new SearchAPI.Search(this._client);
        this.verifiedBots = new VerifiedBotsAPI.VerifiedBots(this._client);
        this.as112 = new AS112API.AS112(this._client);
        this.connectionTampering = new ConnectionTamperingAPI.ConnectionTampering(this._client);
        this.email = new EmailAPI.Email(this._client);
        this.attacks = new AttacksAPI.Attacks(this._client);
        this.entities = new EntitiesAPI.Entities(this._client);
        this.http = new HTTPAPI.HTTP(this._client);
        this.quality = new QualityAPI.Quality(this._client);
        this.ranking = new RankingAPI.Ranking(this._client);
        this.trafficAnomalies = new TrafficAnomaliesAPI.TrafficAnomalies(this._client);
    }
}
(function (Radar) {
    Radar.Annotations = AnnotationsAPI.Annotations;
    Radar.BGP = BGPAPI.BGP;
    Radar.Datasets = DatasetsAPI.Datasets;
    Radar.DNS = DNSAPI.DNS;
    Radar.Netflows = NetflowsAPI.Netflows;
    Radar.Search = SearchAPI.Search;
    Radar.VerifiedBots = VerifiedBotsAPI.VerifiedBots;
    Radar.AS112 = AS112API.AS112;
    Radar.ConnectionTampering = ConnectionTamperingAPI.ConnectionTampering;
    Radar.Email = EmailAPI.Email;
    Radar.Attacks = AttacksAPI.Attacks;
    Radar.Entities = EntitiesAPI.Entities;
    Radar.HTTP = HTTPAPI.HTTP;
    Radar.Quality = QualityAPI.Quality;
    Radar.Ranking = RankingAPI.Ranking;
    Radar.TrafficAnomalies = TrafficAnomaliesAPI.TrafficAnomalies;
})(Radar || (Radar = {}));
//# sourceMappingURL=radar.mjs.map