import * as Core from "../../../core.js";
import { APIResource } from "../../../resource.js";
import * as BulkOperationsAPI from "./bulk-operations.js";
export declare class BulkOperations extends APIResource {
    /**
     * Gets the current status of an asynchronous operation on a list.
     *
     * The `status` property can have one of the following values: `pending`,
     * `running`, `completed`, or `failed`. If the status is `failed`, the `error`
     * property will contain a message describing the error.
     */
    get(accountIdentifier: string, operationId: string, options?: Core.RequestOptions): Core.APIPromise<BulkOperationGetResponse | null>;
}
/**
 * The current status of the asynchronous operation.
 */
export type OperationStatus = 'pending' | 'running' | 'completed' | 'failed';
export type BulkOperationGetResponse = Array<unknown>;
export declare namespace BulkOperations {
    export import OperationStatus = BulkOperationsAPI.OperationStatus;
    export import BulkOperationGetResponse = BulkOperationsAPI.BulkOperationGetResponse;
}
//# sourceMappingURL=bulk-operations.d.ts.map