import * as Core from "../../core.js";
import { APIResource } from "../../resource.js";
import * as RecommendationsAPI from "./recommendations.js";
export declare class Recommendations extends APIResource {
    /**
     * Retrieve the SSL/TLS Recommender's recommendation for a zone.
     */
    get(zoneIdentifier: string, options?: Core.RequestOptions): Core.APIPromise<RecommendationGetResponse | null>;
}
export interface RecommendationGetResponse {
    /**
     * Identifier of a recommedation result.
     */
    id?: string;
    modified_on?: string;
    value?: 'flexible' | 'full' | 'strict';
}
export declare namespace Recommendations {
    export import RecommendationGetResponse = RecommendationsAPI.RecommendationGetResponse;
}
//# sourceMappingURL=recommendations.d.ts.map