import * as Core from "../../../core.js";
import { APIResource } from "../../../resource.js";
import * as CaptionsAPI from "./captions.js";
import * as LanguageAPI from "./language/language.js";
export declare class Captions extends APIResource {
    language: LanguageAPI.Language;
    /**
     * Lists the available captions or subtitles for a specific video.
     */
    get(identifier: string, params: CaptionGetParams, options?: Core.RequestOptions): Core.APIPromise<CaptionGetResponse>;
}
export interface Caption {
    /**
     * The language label displayed in the native language to users.
     */
    label?: string;
    /**
     * The language tag in BCP 47 format.
     */
    language?: string;
}
export type CaptionGetResponse = Array<Caption>;
export interface CaptionGetParams {
    /**
     * Identifier
     */
    account_id: string;
}
export declare namespace Captions {
    export import Caption = CaptionsAPI.Caption;
    export import CaptionGetResponse = CaptionsAPI.CaptionGetResponse;
    export import CaptionGetParams = CaptionsAPI.CaptionGetParams;
    export import Language = LanguageAPI.Language;
    export import LanguageDeleteResponse = LanguageAPI.LanguageDeleteResponse;
    export import LanguageUpdateParams = LanguageAPI.LanguageUpdateParams;
    export import LanguageDeleteParams = LanguageAPI.LanguageDeleteParams;
    export import LanguageGetParams = LanguageAPI.LanguageGetParams;
}
//# sourceMappingURL=captions.d.ts.map