import * as Core from "../../core.js";
import { APIResource } from "../../resource.js";
import * as DownloadsAPI from "./downloads.js";
export declare class Downloads extends APIResource {
    /**
     * Creates a download for a video when a video is ready to view.
     */
    create(identifier: string, params: DownloadCreateParams, options?: Core.RequestOptions): Core.APIPromise<DownloadCreateResponse>;
    /**
     * Delete the downloads for a video.
     */
    delete(identifier: string, params: DownloadDeleteParams, options?: Core.RequestOptions): Core.APIPromise<DownloadDeleteResponse>;
    /**
     * Lists the downloads created for a video.
     */
    get(identifier: string, params: DownloadGetParams, options?: Core.RequestOptions): Core.APIPromise<DownloadGetResponse>;
}
export type DownloadCreateResponse = unknown | string | null;
export type DownloadDeleteResponse = unknown | string;
export type DownloadGetResponse = unknown | string | null;
export interface DownloadCreateParams {
    /**
     * Path param: Identifier
     */
    account_id: string;
    /**
     * Body param:
     */
    body: unknown;
}
export interface DownloadDeleteParams {
    /**
     * Identifier
     */
    account_id: string;
}
export interface DownloadGetParams {
    /**
     * Identifier
     */
    account_id: string;
}
export declare namespace Downloads {
    export import DownloadCreateResponse = DownloadsAPI.DownloadCreateResponse;
    export import DownloadDeleteResponse = DownloadsAPI.DownloadDeleteResponse;
    export import DownloadGetResponse = DownloadsAPI.DownloadGetResponse;
    export import DownloadCreateParams = DownloadsAPI.DownloadCreateParams;
    export import DownloadDeleteParams = DownloadsAPI.DownloadDeleteParams;
    export import DownloadGetParams = DownloadsAPI.DownloadGetParams;
}
//# sourceMappingURL=downloads.d.ts.map