// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
import { APIResource } from "../../resource.mjs";
export class Token extends APIResource {
    /**
     * Creates a signed URL token for a video. If a body is not provided in the
     * request, a token is created with default values.
     */
    create(identifier, params, options) {
        const { account_id, ...body } = params;
        return this._client.post(`/accounts/${account_id}/stream/${identifier}/token`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
}
(function (Token) {
})(Token || (Token = {}));
//# sourceMappingURL=token.mjs.map