import * as Core from "../core.js";
import { APIResource } from "../resource.js";
export declare class URLNormalization extends APIResource {
    /**
     * Updates the URL normalization settings.
     */
    update(params: URLNormalizationUpdateParams, options?: Core.RequestOptions): Core.APIPromise<URLNormalizationUpdateResponse>;
    /**
     * Fetches the current URL normalization settings.
     */
    get(params: URLNormalizationGetParams, options?: Core.RequestOptions): Core.APIPromise<URLNormalizationGetResponse>;
}
export interface URLNormalizationUpdateResponse {
    /**
     * The scope of the URL normalization.
     */
    scope?: string;
    /**
     * The type of URL normalization performed by Cloudflare.
     */
    type?: string;
}
export interface URLNormalizationGetResponse {
    /**
     * The scope of the URL normalization.
     */
    scope?: string;
    /**
     * The type of URL normalization performed by Cloudflare.
     */
    type?: string;
}
export interface URLNormalizationUpdateParams {
    /**
     * Path param: Identifier
     */
    zone_id: string;
    /**
     * Body param: The scope of the URL normalization.
     */
    scope?: string;
    /**
     * Body param: The type of URL normalization performed by Cloudflare.
     */
    type?: string;
}
export interface URLNormalizationGetParams {
    /**
     * Identifier
     */
    zone_id: string;
}
//# sourceMappingURL=url-normalization.d.ts.map