import * as Core from "../../../../../core.js";
import { APIResource } from "../../../../../resource.js";
import * as BindingsAPI from "./bindings.js";
import * as WorkersAPI from "../../../../workers/workers.js";
export declare class Bindings extends APIResource {
    /**
     * Fetch script bindings from a script uploaded to a Workers for Platforms
     * namespace.
     */
    get(dispatchNamespace: string, scriptName: string, params: BindingGetParams, options?: Core.RequestOptions): Core.APIPromise<BindingGetResponse>;
}
/**
 * List of bindings attached to this Worker
 */
export type BindingGetResponse = Array<WorkersAPI.Binding>;
export interface BindingGetParams {
    /**
     * Identifier
     */
    account_id: string;
}
export declare namespace Bindings {
    export import BindingGetResponse = BindingsAPI.BindingGetResponse;
    export import BindingGetParams = BindingsAPI.BindingGetParams;
}
//# sourceMappingURL=bindings.d.ts.map