import * as Core from "../../../core.js";
import { APIResource } from "../../../resource.js";
import * as SchedulesAPI from "./schedules.js";
export declare class Schedules extends APIResource {
    /**
     * Updates Cron Triggers for a Worker.
     */
    update(scriptName: string, params: ScheduleUpdateParams, options?: Core.RequestOptions): Core.APIPromise<ScheduleUpdateResponse>;
    /**
     * Fetches Cron Triggers for a Worker.
     */
    get(scriptName: string, params: ScheduleGetParams, options?: Core.RequestOptions): Core.APIPromise<ScheduleGetResponse>;
}
export interface Schedule {
    created_on?: unknown;
    cron?: unknown;
    modified_on?: unknown;
}
export interface ScheduleUpdateResponse {
    schedules?: Array<Schedule>;
}
export interface ScheduleGetResponse {
    schedules?: Array<Schedule>;
}
export interface ScheduleUpdateParams {
    /**
     * Path param: Identifier
     */
    account_id: string;
    /**
     * Body param:
     */
    body: string;
}
export interface ScheduleGetParams {
    /**
     * Identifier
     */
    account_id: string;
}
export declare namespace Schedules {
    export import Schedule = SchedulesAPI.Schedule;
    export import ScheduleUpdateResponse = SchedulesAPI.ScheduleUpdateResponse;
    export import ScheduleGetResponse = SchedulesAPI.ScheduleGetResponse;
    export import ScheduleUpdateParams = SchedulesAPI.ScheduleUpdateParams;
    export import ScheduleGetParams = SchedulesAPI.ScheduleGetParams;
}
//# sourceMappingURL=schedules.d.ts.map