// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
import { APIResource } from "../../../resource.mjs";
import * as VersionsAPI from "./versions.mjs";
import { multipartFormRequestOptions } from "../../../core.mjs";
import { V4PagePagination } from "../../../pagination.mjs";
export class Versions extends APIResource {
    /**
     * Upload a Worker Version without deploying to Cloudflare's network.
     */
    create(scriptName, params, options) {
        const { account_id, ...body } = params;
        return this._client.post(`/accounts/${account_id}/workers/scripts/${scriptName}/versions`, multipartFormRequestOptions({ body, ...options }))._thenUnwrap((obj) => obj.result);
    }
    /**
     * List of Worker Versions. The first version in the list is the latest version.
     */
    list(scriptName, params, options) {
        const { account_id, ...query } = params;
        return this._client.getAPIList(`/accounts/${account_id}/workers/scripts/${scriptName}/versions`, VersionListResponsesV4PagePagination, { query, ...options });
    }
    /**
     * Get Version Detail
     */
    get(scriptName, versionId, params, options) {
        const { account_id } = params;
        return this._client.get(`/accounts/${account_id}/workers/scripts/${scriptName}/versions/${versionId}`, options)._thenUnwrap((obj) => obj.result);
    }
}
export class VersionListResponsesV4PagePagination extends V4PagePagination {
}
(function (Versions) {
    Versions.VersionListResponsesV4PagePagination = VersionsAPI.VersionListResponsesV4PagePagination;
})(Versions || (Versions = {}));
//# sourceMappingURL=versions.mjs.map