import * as Core from "../../../core.js";
import { APIResource } from "../../../resource.js";
import * as KeysAPI from "./keys.js";
export declare class Keys extends APIResource {
    /**
     * Updates the Access key rotation settings for an account.
     */
    update(params: KeyUpdateParams, options?: Core.RequestOptions): Core.APIPromise<KeyUpdateResponse>;
    /**
     * Gets the Access key rotation settings for an account.
     */
    get(params: KeyGetParams, options?: Core.RequestOptions): Core.APIPromise<KeyGetResponse>;
    /**
     * Perfoms a key rotation for an account.
     */
    rotate(params: KeyRotateParams, options?: Core.RequestOptions): Core.APIPromise<KeyRotateResponse>;
}
export type KeyUpdateResponse = unknown | string;
export type KeyGetResponse = unknown | string;
export type KeyRotateResponse = unknown | string;
export interface KeyUpdateParams {
    /**
     * Path param: Identifier
     */
    account_id: string;
    /**
     * Body param: The number of days between key rotations.
     */
    key_rotation_interval_days: number;
}
export interface KeyGetParams {
    /**
     * Identifier
     */
    account_id: string;
}
export interface KeyRotateParams {
    /**
     * Identifier
     */
    account_id: string;
}
export declare namespace Keys {
    export import KeyUpdateResponse = KeysAPI.KeyUpdateResponse;
    export import KeyGetResponse = KeysAPI.KeyGetResponse;
    export import KeyRotateResponse = KeysAPI.KeyRotateResponse;
    export import KeyUpdateParams = KeysAPI.KeyUpdateParams;
    export import KeyGetParams = KeysAPI.KeyGetParams;
    export import KeyRotateParams = KeysAPI.KeyRotateParams;
}
//# sourceMappingURL=keys.d.ts.map