// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
import { APIResource } from "../../../../resource.mjs";
import * as UsersAPI from "./users.mjs";
import * as ActiveSessionsAPI from "./active-sessions.mjs";
import * as FailedLoginsAPI from "./failed-logins.mjs";
import * as LastSeenIdentityAPI from "./last-seen-identity.mjs";
import { SinglePage } from "../../../../pagination.mjs";
export class Users extends APIResource {
    constructor() {
        super(...arguments);
        this.activeSessions = new ActiveSessionsAPI.ActiveSessions(this._client);
        this.lastSeenIdentity = new LastSeenIdentityAPI.LastSeenIdentity(this._client);
        this.failedLogins = new FailedLoginsAPI.FailedLogins(this._client);
    }
    /**
     * Gets a list of users for an account.
     */
    list(params, options) {
        const { account_id } = params;
        return this._client.getAPIList(`/accounts/${account_id}/access/users`, AccessUsersSinglePage, options);
    }
}
export class AccessUsersSinglePage extends SinglePage {
}
(function (Users) {
    Users.AccessUsersSinglePage = UsersAPI.AccessUsersSinglePage;
    Users.ActiveSessions = ActiveSessionsAPI.ActiveSessions;
    Users.ActiveSessionListResponsesSinglePage = ActiveSessionsAPI.ActiveSessionListResponsesSinglePage;
    Users.LastSeenIdentity = LastSeenIdentityAPI.LastSeenIdentity;
    Users.FailedLogins = FailedLoginsAPI.FailedLogins;
    Users.FailedLoginListResponsesSinglePage = FailedLoginsAPI.FailedLoginListResponsesSinglePage;
})(Users || (Users = {}));
//# sourceMappingURL=users.mjs.map