import * as Core from "../../../core.js";
import { APIResource } from "../../../resource.js";
import * as OverrideCodesAPI from "./override-codes.js";
export declare class OverrideCodes extends APIResource {
    /**
     * Fetches a one-time use admin override code for a device. This relies on the
     * **Admin Override** setting being enabled in your device configuration.
     */
    list(deviceId: string, params: OverrideCodeListParams, options?: Core.RequestOptions): Core.APIPromise<OverrideCodeListResponse | null>;
}
export interface OverrideCodeListResponse {
    disable_for_time?: OverrideCodeListResponse.DisableForTime;
}
export declare namespace OverrideCodeListResponse {
    interface DisableForTime {
        /**
         * Override code that is valid for 1 hour.
         */
        '1'?: string;
        /**
         * Override code that is valid for 12 hour2.
         */
        '12'?: string;
        /**
         * Override code that is valid for 24 hour.2.
         */
        '24'?: string;
        /**
         * Override code that is valid for 3 hours.
         */
        '3'?: string;
        /**
         * Override code that is valid for 6 hours.
         */
        '6'?: string;
    }
}
export interface OverrideCodeListParams {
    account_id: string;
}
export declare namespace OverrideCodes {
    export import OverrideCodeListResponse = OverrideCodesAPI.OverrideCodeListResponse;
    export import OverrideCodeListParams = OverrideCodesAPI.OverrideCodeListParams;
}
//# sourceMappingURL=override-codes.d.ts.map