import * as Core from "../../../../core.js";
import { APIResource } from "../../../../resource.js";
import * as UploadAPI from "./upload.js";
import * as DatasetsAPI from "./datasets.js";
export declare class Upload extends APIResource {
    /**
     * Prepare to upload a new version of a dataset.
     */
    create(datasetId: string, params: UploadCreateParams, options?: Core.RequestOptions): Core.APIPromise<NewVersion>;
    /**
     * Upload a new version of a dataset.
     */
    edit(datasetId: string, version: number, params: UploadEditParams, options?: Core.RequestOptions): Core.APIPromise<DatasetsAPI.Dataset>;
}
export interface NewVersion {
    max_cells: number;
    version: number;
    secret?: string;
}
export interface UploadCreateParams {
    account_id: string;
}
export interface UploadEditParams {
    /**
     * Path param:
     */
    account_id: string;
    /**
     * Body param:
     */
    body: string;
}
export declare namespace Upload {
    export import NewVersion = UploadAPI.NewVersion;
    export import UploadCreateParams = UploadAPI.UploadCreateParams;
    export import UploadEditParams = UploadAPI.UploadEditParams;
}
//# sourceMappingURL=upload.d.ts.map