import { APIResource } from "../../../resource.js";
import * as PatternsAPI from "./patterns.js";
import * as PayloadLogsAPI from "./payload-logs.js";
import * as DatasetsAPI from "./datasets/datasets.js";
import * as ProfilesAPI from "./profiles/profiles.js";
export declare class DLP extends APIResource {
    datasets: DatasetsAPI.Datasets;
    patterns: PatternsAPI.Patterns;
    payloadLogs: PayloadLogsAPI.PayloadLogs;
    profiles: ProfilesAPI.Profiles;
}
export declare namespace DLP {
    export import Datasets = DatasetsAPI.Datasets;
    export import Dataset = DatasetsAPI.Dataset;
    export import DatasetArray = DatasetsAPI.DatasetArray;
    export import DatasetCreation = DatasetsAPI.DatasetCreation;
    export import DatasetsSinglePage = DatasetsAPI.DatasetsSinglePage;
    export import DatasetCreateParams = DatasetsAPI.DatasetCreateParams;
    export import DatasetUpdateParams = DatasetsAPI.DatasetUpdateParams;
    export import DatasetListParams = DatasetsAPI.DatasetListParams;
    export import DatasetDeleteParams = DatasetsAPI.DatasetDeleteParams;
    export import DatasetGetParams = DatasetsAPI.DatasetGetParams;
    export import Patterns = PatternsAPI.Patterns;
    export import PatternValidateParams = PatternsAPI.PatternValidateParams;
    export import PayloadLogs = PayloadLogsAPI.PayloadLogs;
    export import PayloadLogUpdateResponse = PayloadLogsAPI.PayloadLogUpdateResponse;
    export import PayloadLogGetResponse = PayloadLogsAPI.PayloadLogGetResponse;
    export import PayloadLogUpdateParams = PayloadLogsAPI.PayloadLogUpdateParams;
    export import PayloadLogGetParams = PayloadLogsAPI.PayloadLogGetParams;
    export import Profiles = ProfilesAPI.Profiles;
    export import ContextAwareness = ProfilesAPI.ContextAwareness;
    export import Profile = ProfilesAPI.Profile;
    export import SkipConfiguration = ProfilesAPI.SkipConfiguration;
    export import ProfileGetResponse = ProfilesAPI.ProfileGetResponse;
    export import ProfilesSinglePage = ProfilesAPI.ProfilesSinglePage;
    export import ProfileListParams = ProfilesAPI.ProfileListParams;
    export import ProfileGetParams = ProfilesAPI.ProfileGetParams;
}
//# sourceMappingURL=dlp.d.ts.map