// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
import { APIResource } from "../../../../resource.mjs";
import * as ProfilesAPI from "./profiles.mjs";
import * as CustomAPI from "./custom.mjs";
import * as PredefinedAPI from "./predefined.mjs";
import { SinglePage } from "../../../../pagination.mjs";
export class Profiles extends APIResource {
    constructor() {
        super(...arguments);
        this.custom = new CustomAPI.Custom(this._client);
        this.predefined = new PredefinedAPI.Predefined(this._client);
    }
    /**
     * Lists all DLP profiles in an account.
     */
    list(params, options) {
        const { account_id } = params;
        return this._client.getAPIList(`/accounts/${account_id}/dlp/profiles`, ProfilesSinglePage, options);
    }
    /**
     * Fetches a DLP profile by ID. Supports both predefined and custom profiles
     */
    get(profileId, params, options) {
        const { account_id } = params;
        return this._client.get(`/accounts/${account_id}/dlp/profiles/${profileId}`, options)._thenUnwrap((obj) => obj.result);
    }
}
export class ProfilesSinglePage extends SinglePage {
}
(function (Profiles) {
    Profiles.ProfilesSinglePage = ProfilesAPI.ProfilesSinglePage;
    Profiles.Custom = CustomAPI.Custom;
    Profiles.Predefined = PredefinedAPI.Predefined;
})(Profiles || (Profiles = {}));
//# sourceMappingURL=profiles.mjs.map