// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
import { APIResource } from "../../../resource.mjs";
import * as AppTypesAPI from "./app-types.mjs";
import * as AuditSSHSettingsAPI from "./audit-ssh-settings.mjs";
import * as CategoriesAPI from "./categories.mjs";
import * as ConfigurationsAPI from "./configurations.mjs";
import * as LocationsAPI from "./locations.mjs";
import * as LoggingAPI from "./logging.mjs";
import * as ProxyEndpointsAPI from "./proxy-endpoints.mjs";
import * as RulesAPI from "./rules.mjs";
import * as ListsAPI from "./lists/lists.mjs";
export class Gateway extends APIResource {
    constructor() {
        super(...arguments);
        this.auditSSHSettings = new AuditSSHSettingsAPI.AuditSSHSettings(this._client);
        this.categories = new CategoriesAPI.Categories(this._client);
        this.appTypes = new AppTypesAPI.AppTypes(this._client);
        this.configurations = new ConfigurationsAPI.Configurations(this._client);
        this.lists = new ListsAPI.Lists(this._client);
        this.locations = new LocationsAPI.Locations(this._client);
        this.logging = new LoggingAPI.Logging(this._client);
        this.proxyEndpoints = new ProxyEndpointsAPI.ProxyEndpoints(this._client);
        this.rules = new RulesAPI.Rules(this._client);
    }
    /**
     * Creates a Zero Trust account with an existing Cloudflare account.
     */
    create(params, options) {
        const { account_id } = params;
        return this._client.post(`/accounts/${account_id}/gateway`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Gets information about the current Zero Trust account.
     */
    list(params, options) {
        const { account_id } = params;
        return this._client.get(`/accounts/${account_id}/gateway`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (Gateway) {
    Gateway.AuditSSHSettings = AuditSSHSettingsAPI.AuditSSHSettings;
    Gateway.Categories = CategoriesAPI.Categories;
    Gateway.CategoriesSinglePage = CategoriesAPI.CategoriesSinglePage;
    Gateway.AppTypes = AppTypesAPI.AppTypes;
    Gateway.AppTypesSinglePage = AppTypesAPI.AppTypesSinglePage;
    Gateway.Configurations = ConfigurationsAPI.Configurations;
    Gateway.Lists = ListsAPI.Lists;
    Gateway.GatewayListsSinglePage = ListsAPI.GatewayListsSinglePage;
    Gateway.Locations = LocationsAPI.Locations;
    Gateway.LocationsSinglePage = LocationsAPI.LocationsSinglePage;
    Gateway.Logging = LoggingAPI.Logging;
    Gateway.ProxyEndpoints = ProxyEndpointsAPI.ProxyEndpoints;
    Gateway.Rules = RulesAPI.Rules;
    Gateway.GatewayRulesSinglePage = RulesAPI.GatewayRulesSinglePage;
})(Gateway || (Gateway = {}));
//# sourceMappingURL=gateway.mjs.map