import * as Core from "../../../../core.js";
import { APIResource } from "../../../../resource.js";
import * as ItemsAPI from "./items.js";
import * as ListsAPI from "./lists.js";
import { SinglePage } from "../../../../pagination.js";
export declare class Items extends APIResource {
    /**
     * Fetches all items in a single Zero Trust list.
     */
    list(listId: string, params: ItemListParams, options?: Core.RequestOptions): Core.PagePromise<ItemListResponsesSinglePage, ItemListResponse>;
}
export declare class ItemListResponsesSinglePage extends SinglePage<ItemListResponse> {
}
/**
 * The items in the list.
 */
export type ItemListResponse = Array<ListsAPI.GatewayItem>;
export interface ItemListParams {
    account_id: string;
}
export declare namespace Items {
    export import ItemListResponse = ItemsAPI.ItemListResponse;
    export import ItemListResponsesSinglePage = ItemsAPI.ItemListResponsesSinglePage;
    export import ItemListParams = ItemsAPI.ItemListParams;
}
//# sourceMappingURL=items.d.ts.map