import * as Core from "../../../../core.js";
import { APIResource } from "../../../../resource.js";
import * as IPsAPI from "./ips.js";
import * as RoutesAPI from "./routes.js";
export declare class IPs extends APIResource {
    /**
     * Fetches routes that contain the given IP address.
     */
    get(ip: string, params: IPGetParams, options?: Core.RequestOptions): Core.APIPromise<RoutesAPI.Teamnet>;
}
export interface IPGetParams {
    /**
     * Path param: Cloudflare account ID
     */
    account_id: string;
    /**
     * Query param: UUID of the virtual network.
     */
    virtual_network_id?: string;
}
export declare namespace IPs {
    export import IPGetParams = IPsAPI.IPGetParams;
}
//# sourceMappingURL=ips.d.ts.map