import * as Core from "../../../core.js";
import { APIResource } from "../../../resource.js";
import * as ConnectorsAPI from "./connectors.js";
import * as ConnectionsAPI from "./connections.js";
export declare class Connectors extends APIResource {
    /**
     * Fetches connector and connection details for a Cloudflare Tunnel.
     */
    get(tunnelId: string, connectorId: string, params: ConnectorGetParams, options?: Core.RequestOptions): Core.APIPromise<ConnectionsAPI.Client>;
}
export interface ConnectorGetParams {
    /**
     * Cloudflare account ID
     */
    account_id: string;
}
export declare namespace Connectors {
    export import ConnectorGetParams = ConnectorsAPI.ConnectorGetParams;
}
//# sourceMappingURL=connectors.d.ts.map