import * as Core from "../../../core.js";
import { APIResource } from "../../../resource.js";
import * as ManagementAPI from "./management.js";
export declare class Management extends APIResource {
    /**
     * Gets a management token used to access the management resources (i.e. Streaming
     * Logs) of a tunnel.
     */
    create(tunnelId: string, params: ManagementCreateParams, options?: Core.RequestOptions): Core.APIPromise<ManagementCreateResponse>;
}
export type ManagementCreateResponse = unknown | Array<unknown> | string;
export interface ManagementCreateParams {
    /**
     * Path param: Cloudflare account ID
     */
    account_id: string;
    /**
     * Body param:
     */
    resources: Array<'logs'>;
}
export declare namespace Management {
    export import ManagementCreateResponse = ManagementAPI.ManagementCreateResponse;
    export import ManagementCreateParams = ManagementAPI.ManagementCreateParams;
}
//# sourceMappingURL=management.d.ts.map