// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
import { APIResource } from "../../resource.mjs";
import * as ConnectivitySettingsAPI from "./connectivity-settings.mjs";
import * as IdentityProvidersAPI from "./identity-providers.mjs";
import * as OrganizationsAPI from "./organizations.mjs";
import * as SeatsAPI from "./seats.mjs";
import * as AccessAPI from "./access/access.mjs";
import * as DevicesAPI from "./devices/devices.mjs";
import * as DEXAPI from "./dex/dex.mjs";
import * as DLPAPI from "./dlp/dlp.mjs";
import * as GatewayAPI from "./gateway/gateway.mjs";
import * as NetworksAPI from "./networks/networks.mjs";
import * as RiskScoringAPI from "./risk-scoring/risk-scoring.mjs";
import * as TunnelsAPI from "./tunnels/tunnels.mjs";
export class ZeroTrust extends APIResource {
    constructor() {
        super(...arguments);
        this.devices = new DevicesAPI.Devices(this._client);
        this.identityProviders = new IdentityProvidersAPI.IdentityProviders(this._client);
        this.organizations = new OrganizationsAPI.Organizations(this._client);
        this.seats = new SeatsAPI.Seats(this._client);
        this.access = new AccessAPI.Access(this._client);
        this.dex = new DEXAPI.DEX(this._client);
        this.tunnels = new TunnelsAPI.Tunnels(this._client);
        this.connectivitySettings = new ConnectivitySettingsAPI.ConnectivitySettings(this._client);
        this.dlp = new DLPAPI.DLP(this._client);
        this.gateway = new GatewayAPI.Gateway(this._client);
        this.networks = new NetworksAPI.Networks(this._client);
        this.riskScoring = new RiskScoringAPI.RiskScoring(this._client);
    }
}
(function (ZeroTrust) {
    ZeroTrust.Devices = DevicesAPI.Devices;
    ZeroTrust.DevicesSinglePage = DevicesAPI.DevicesSinglePage;
    ZeroTrust.IdentityProviders = IdentityProvidersAPI.IdentityProviders;
    ZeroTrust.IdentityProviderListResponsesSinglePage = IdentityProvidersAPI.IdentityProviderListResponsesSinglePage;
    ZeroTrust.Organizations = OrganizationsAPI.Organizations;
    ZeroTrust.Seats = SeatsAPI.Seats;
    ZeroTrust.Access = AccessAPI.Access;
    ZeroTrust.DEX = DEXAPI.DEX;
    ZeroTrust.Tunnels = TunnelsAPI.Tunnels;
    ZeroTrust.TunnelListResponsesV4PagePaginationArray = TunnelsAPI.TunnelListResponsesV4PagePaginationArray;
    ZeroTrust.ConnectivitySettings = ConnectivitySettingsAPI.ConnectivitySettings;
    ZeroTrust.DLP = DLPAPI.DLP;
    ZeroTrust.Gateway = GatewayAPI.Gateway;
    ZeroTrust.Networks = NetworksAPI.Networks;
    ZeroTrust.RiskScoring = RiskScoringAPI.RiskScoring;
})(ZeroTrust || (ZeroTrust = {}));
//# sourceMappingURL=zero-trust.mjs.map