import * as Core from "../../../core.js";
import { APIResource } from "../../../resource.js";
import * as AutomaticHTTPSRewritesAPI from "./automatic-https-rewrites.js";
export declare class AutomaticHTTPSRewrites extends APIResource {
    /**
     * Enable the Automatic HTTPS Rewrites feature for this zone.
     */
    edit(params: AutomaticHTTPSRewriteEditParams, options?: Core.RequestOptions): Core.APIPromise<AutomaticHTTPSRewrites>;
    /**
     * Enable the Automatic HTTPS Rewrites feature for this zone.
     */
    get(params: AutomaticHTTPSRewriteGetParams, options?: Core.RequestOptions): Core.APIPromise<AutomaticHTTPSRewrites>;
}
/**
 * Enable the Automatic HTTPS Rewrites feature for this zone.
 */
export interface AutomaticHTTPSRewrites {
    /**
     * ID of the zone setting.
     */
    id: 'automatic_https_rewrites';
    /**
     * Current value of the zone setting.
     */
    value: 'on' | 'off';
    /**
     * Whether or not this setting can be modified for this zone (based on your
     * Cloudflare plan level).
     */
    editable?: true | false;
    /**
     * last time this setting was modified.
     */
    modified_on?: string | null;
}
export interface AutomaticHTTPSRewriteEditParams {
    /**
     * Path param: Identifier
     */
    zone_id: string;
    /**
     * Body param: Value of the zone setting. Notes: Default value depends on the
     * zone's plan level.
     */
    value: 'on' | 'off';
}
export interface AutomaticHTTPSRewriteGetParams {
    /**
     * Identifier
     */
    zone_id: string;
}
export declare namespace AutomaticHTTPSRewrites {
    export import AutomaticHTTPSRewrites = AutomaticHTTPSRewritesAPI.AutomaticHTTPSRewrites;
    export import AutomaticHTTPSRewriteEditParams = AutomaticHTTPSRewritesAPI.AutomaticHTTPSRewriteEditParams;
    export import AutomaticHTTPSRewriteGetParams = AutomaticHTTPSRewritesAPI.AutomaticHTTPSRewriteGetParams;
}
//# sourceMappingURL=automatic-https-rewrites.d.ts.map