"use strict";
// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
Object.defineProperty(exports, "__esModule", { value: true });
exports.AutomaticPlatformOptimizationResource = void 0;
const resource_1 = require("../../../resource.js");
class AutomaticPlatformOptimizationResource extends resource_1.APIResource {
    /**
     * [Automatic Platform Optimization for WordPress](https://developers.cloudflare.com/automatic-platform-optimization/)
     * serves your WordPress site from Cloudflare's edge network and caches third-party
     * fonts.
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/automatic_platform_optimization`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * [Automatic Platform Optimization for WordPress](https://developers.cloudflare.com/automatic-platform-optimization/)
     * serves your WordPress site from Cloudflare's edge network and caches third-party
     * fonts.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/automatic_platform_optimization`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.AutomaticPlatformOptimizationResource = AutomaticPlatformOptimizationResource;
(function (AutomaticPlatformOptimizationResource) {
})(AutomaticPlatformOptimizationResource = exports.AutomaticPlatformOptimizationResource || (exports.AutomaticPlatformOptimizationResource = {}));
//# sourceMappingURL=automatic-platform-optimization.js.map