"use strict";
// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImageResizingResource = void 0;
const resource_1 = require("../../../resource.js");
class ImageResizingResource extends resource_1.APIResource {
    /**
     * Image Resizing provides on-demand resizing, conversion and optimisation for
     * images served through Cloudflare's network. Refer to the
     * [Image Resizing documentation](https://developers.cloudflare.com/images/) for
     * more information.
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/image_resizing`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Image Resizing provides on-demand resizing, conversion and optimisation for
     * images served through Cloudflare's network. Refer to the
     * [Image Resizing documentation](https://developers.cloudflare.com/images/) for
     * more information.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/image_resizing`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.ImageResizingResource = ImageResizingResource;
(function (ImageResizingResource) {
})(ImageResizingResource = exports.ImageResizingResource || (exports.ImageResizingResource = {}));
//# sourceMappingURL=image-resizing.js.map