"use strict";
// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
Object.defineProperty(exports, "__esModule", { value: true });
exports.IPV6Resource = void 0;
const resource_1 = require("../../../resource.js");
class IPV6Resource extends resource_1.APIResource {
    /**
     * Enable IPv6 on all subdomains that are Cloudflare enabled.
     * (https://support.cloudflare.com/hc/en-us/articles/200168586).
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/ipv6`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Enable IPv6 on all subdomains that are Cloudflare enabled.
     * (https://support.cloudflare.com/hc/en-us/articles/200168586).
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/ipv6`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.IPV6Resource = IPV6Resource;
(function (IPV6Resource) {
})(IPV6Resource = exports.IPV6Resource || (exports.IPV6Resource = {}));
//# sourceMappingURL=ipv6.js.map