"use strict";
// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
Object.defineProperty(exports, "__esModule", { value: true });
exports.MinTLSVersionResource = void 0;
const resource_1 = require("../../../resource.js");
class MinTLSVersionResource extends resource_1.APIResource {
    /**
     * Changes Minimum TLS Version setting.
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/min_tls_version`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Gets Minimum TLS Version setting.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/min_tls_version`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.MinTLSVersionResource = MinTLSVersionResource;
(function (MinTLSVersionResource) {
})(MinTLSVersionResource = exports.MinTLSVersionResource || (exports.MinTLSVersionResource = {}));
//# sourceMappingURL=min-tls-version.js.map