"use strict";
// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
Object.defineProperty(exports, "__esModule", { value: true });
exports.MobileRedirectResource = void 0;
const resource_1 = require("../../../resource.js");
class MobileRedirectResource extends resource_1.APIResource {
    /**
     * Automatically redirect visitors on mobile devices to a mobile-optimized
     * subdomain. Refer to
     * [Understanding Cloudflare Mobile Redirect](https://support.cloudflare.com/hc/articles/200168336)
     * for more information.
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/mobile_redirect`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Automatically redirect visitors on mobile devices to a mobile-optimized
     * subdomain. Refer to
     * [Understanding Cloudflare Mobile Redirect](https://support.cloudflare.com/hc/articles/200168336)
     * for more information.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/mobile_redirect`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.MobileRedirectResource = MobileRedirectResource;
(function (MobileRedirectResource) {
})(MobileRedirectResource = exports.MobileRedirectResource || (exports.MobileRedirectResource = {}));
//# sourceMappingURL=mobile-redirect.js.map