// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
import { APIResource } from "../../../resource.mjs";
export class MobileRedirectResource extends APIResource {
    /**
     * Automatically redirect visitors on mobile devices to a mobile-optimized
     * subdomain. Refer to
     * [Understanding Cloudflare Mobile Redirect](https://support.cloudflare.com/hc/articles/200168336)
     * for more information.
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/mobile_redirect`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Automatically redirect visitors on mobile devices to a mobile-optimized
     * subdomain. Refer to
     * [Understanding Cloudflare Mobile Redirect](https://support.cloudflare.com/hc/articles/200168336)
     * for more information.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/mobile_redirect`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (MobileRedirectResource) {
})(MobileRedirectResource || (MobileRedirectResource = {}));
//# sourceMappingURL=mobile-redirect.mjs.map