import * as Core from "../../../core.js";
import { APIResource } from "../../../resource.js";
import * as NELAPI from "./nel.js";
export declare class NELResource extends APIResource {
    /**
     * Automatically optimize image loading for website visitors on mobile devices.
     * Refer to our [blog post](http://blog.cloudflare.com/nel-solving-mobile-speed)
     * for more information.
     */
    edit(params: NELEditParams, options?: Core.RequestOptions): Core.APIPromise<NEL>;
    /**
     * Enable Network Error Logging reporting on your zone. (Beta)
     */
    get(params: NELGetParams, options?: Core.RequestOptions): Core.APIPromise<NEL>;
}
/**
 * Enable Network Error Logging reporting on your zone. (Beta)
 */
export interface NEL {
    /**
     * Zone setting identifier.
     */
    id: 'nel';
    /**
     * Current value of the zone setting.
     */
    value: NEL.Value;
    /**
     * Whether or not this setting can be modified for this zone (based on your
     * Cloudflare plan level).
     */
    editable?: true | false;
    /**
     * last time this setting was modified.
     */
    modified_on?: string | null;
}
export declare namespace NEL {
    /**
     * Current value of the zone setting.
     */
    interface Value {
        enabled?: boolean;
    }
}
/**
 * Enable Network Error Logging reporting on your zone. (Beta)
 */
export interface NELParam {
    /**
     * Zone setting identifier.
     */
    id: 'nel';
    /**
     * Current value of the zone setting.
     */
    value: NELParam.Value;
}
export declare namespace NELParam {
    /**
     * Current value of the zone setting.
     */
    interface Value {
        enabled?: boolean;
    }
}
export interface NELEditParams {
    /**
     * Path param: Identifier
     */
    zone_id: string;
    /**
     * Body param: Enable Network Error Logging reporting on your zone. (Beta)
     */
    value: NELParam;
}
export interface NELGetParams {
    /**
     * Identifier
     */
    zone_id: string;
}
export declare namespace NELResource {
    export import NEL = NELAPI.NEL;
    export import NELEditParams = NELAPI.NELEditParams;
    export import NELGetParams = NELAPI.NELGetParams;
}
//# sourceMappingURL=nel.d.ts.map