"use strict";
// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
Object.defineProperty(exports, "__esModule", { value: true });
exports.NELResource = void 0;
const resource_1 = require("../../../resource.js");
class NELResource extends resource_1.APIResource {
    /**
     * Automatically optimize image loading for website visitors on mobile devices.
     * Refer to our [blog post](http://blog.cloudflare.com/nel-solving-mobile-speed)
     * for more information.
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/nel`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Enable Network Error Logging reporting on your zone. (Beta)
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/nel`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.NELResource = NELResource;
(function (NELResource) {
})(NELResource = exports.NELResource || (exports.NELResource = {}));
//# sourceMappingURL=nel.js.map