import * as Core from "../../../core.js";
import { APIResource } from "../../../resource.js";
import * as SortQueryStringForCacheAPI from "./sort-query-string-for-cache.js";
export declare class SortQueryStringForCacheResource extends APIResource {
    /**
     * Cloudflare will treat files with the same query strings as the same file in
     * cache, regardless of the order of the query strings. This is limited to
     * Enterprise Zones.
     */
    edit(params: SortQueryStringForCacheEditParams, options?: Core.RequestOptions): Core.APIPromise<SortQueryStringForCache>;
    /**
     * Cloudflare will treat files with the same query strings as the same file in
     * cache, regardless of the order of the query strings. This is limited to
     * Enterprise Zones.
     */
    get(params: SortQueryStringForCacheGetParams, options?: Core.RequestOptions): Core.APIPromise<SortQueryStringForCache>;
}
/**
 * Cloudflare will treat files with the same query strings as the same file in
 * cache, regardless of the order of the query strings. This is limited to
 * Enterprise Zones.
 */
export interface SortQueryStringForCache {
    /**
     * ID of the zone setting.
     */
    id: 'sort_query_string_for_cache';
    /**
     * Current value of the zone setting.
     */
    value: 'on' | 'off';
    /**
     * Whether or not this setting can be modified for this zone (based on your
     * Cloudflare plan level).
     */
    editable?: true | false;
    /**
     * last time this setting was modified.
     */
    modified_on?: string | null;
}
export interface SortQueryStringForCacheEditParams {
    /**
     * Path param: Identifier
     */
    zone_id: string;
    /**
     * Body param: Value of the zone setting.
     */
    value: 'on' | 'off';
}
export interface SortQueryStringForCacheGetParams {
    /**
     * Identifier
     */
    zone_id: string;
}
export declare namespace SortQueryStringForCacheResource {
    export import SortQueryStringForCache = SortQueryStringForCacheAPI.SortQueryStringForCache;
    export import SortQueryStringForCacheEditParams = SortQueryStringForCacheAPI.SortQueryStringForCacheEditParams;
    export import SortQueryStringForCacheGetParams = SortQueryStringForCacheAPI.SortQueryStringForCacheGetParams;
}
//# sourceMappingURL=sort-query-string-for-cache.d.ts.map