"use strict";
// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
Object.defineProperty(exports, "__esModule", { value: true });
exports.SortQueryStringForCacheResource = void 0;
const resource_1 = require("../../../resource.js");
class SortQueryStringForCacheResource extends resource_1.APIResource {
    /**
     * Cloudflare will treat files with the same query strings as the same file in
     * cache, regardless of the order of the query strings. This is limited to
     * Enterprise Zones.
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/sort_query_string_for_cache`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Cloudflare will treat files with the same query strings as the same file in
     * cache, regardless of the order of the query strings. This is limited to
     * Enterprise Zones.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/sort_query_string_for_cache`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.SortQueryStringForCacheResource = SortQueryStringForCacheResource;
(function (SortQueryStringForCacheResource) {
})(SortQueryStringForCacheResource = exports.SortQueryStringForCacheResource || (exports.SortQueryStringForCacheResource = {}));
//# sourceMappingURL=sort-query-string-for-cache.js.map