// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
import { APIResource } from "../../../resource.mjs";
export class TLS1_3Resource extends APIResource {
    /**
     * Changes TLS 1.3 setting.
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/tls_1_3`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Gets TLS 1.3 setting enabled for a zone.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/tls_1_3`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (TLS1_3Resource) {
})(TLS1_3Resource || (TLS1_3Resource = {}));
//# sourceMappingURL=tls-1-3.mjs.map