// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
import { APIResource } from "../../resource.mjs";
import { SubscriptionsSinglePage } from "../user/subscriptions.mjs";
export class Subscriptions extends APIResource {
    /**
     * Create a zone subscription, either plan or add-ons.
     */
    create(identifier, body, options) {
        return this._client.post(`/zones/${identifier}/subscription`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Lists all of an account's subscriptions.
     */
    list(accountIdentifier, options) {
        return this._client.getAPIList(`/accounts/${accountIdentifier}/subscriptions`, SubscriptionsSinglePage, options);
    }
    /**
     * Lists zone subscription details.
     */
    get(identifier, options) {
        return this._client.get(`/zones/${identifier}/subscription`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (Subscriptions) {
})(Subscriptions || (Subscriptions = {}));
export { SubscriptionsSinglePage };
//# sourceMappingURL=subscriptions.mjs.map